package com.ibm.eis.mdrr.testregistration;

import org.w3c.dom.traversal.NodeIterator;

public interface ICMDBfRegistrationHandler {
	
	public void initialize();
	
	public void finish();
	
	public String registerItem(NodeIterator records, InstanceId instanceId);

	public String registerRelationship(NodeIterator records, InstanceId sourceId, InstanceId targetId, InstanceId instanceId);

	public String deregisterItem(InstanceId instanceId);

	public String deregisterRelationship(InstanceId instanceId);

}
